function createSoundEntity(entity, sound_name, path)
    path = path or 'Data/Sounds/Common/'

    local sound_entity = CreateSoundTrack(path .. sound_name .. '.ogg')
    sound_entity:setName(sound_name)
    sound_entity:attachTo(entity)

    return sound_entity
end